package com.utopiaindustries.model.ctp;

public class POsDetails {
    //po detail
    private long poId;
    private String poNumber;
    private String articleTitle;
    private long poQuantity;
    private long poRequiredQuantity;

    // items detail
    private long actualCutting;
    private long balanceToCutting;
    private long cuttingReceived;
    private long cuttingOki;
    private long cuttingReject;
    private long stitchingIn;
    private long stitchingWips;
    private long stitchingOut;
    private long finishIn;
    private long finishRej;
    private long finishQaApproved;
    private long storeReceived;
    private long storeWaiting;
    private long packagingIn;
    private long packagingOut;
    private long packagingStock;
    private long shippedScan;
    private long shippedNet;
    private boolean poStatus;

    public long getPoQuantity() {
        return poQuantity;
    }

    public void setPoQuantity(long poQuantity) {
        this.poQuantity = poQuantity;
    }

    public String getPoNumber() {
        return poNumber;
    }

    public void setPoNumber(String poNumber) {
        this.poNumber = poNumber;
    }

    public String getArticleTitle() {
        return articleTitle;
    }

    public void setArticleTitle(String articleTitle) {
        this.articleTitle = articleTitle;
    }

    public long getPoId() {
        return poId;
    }

    public void setPoId(long poId) {
        this.poId = poId;
    }

    public long getPoRequiredQuantity() {
        return poRequiredQuantity;
    }

    public void setPoRequiredQuantity(long poRequiredQuantity) {
        this.poRequiredQuantity = poRequiredQuantity;
    }

    public long getActualCutting() {
        return actualCutting;
    }

    public void setActualCutting(long actualCutting) {
        this.actualCutting = actualCutting;
    }

    public long getBalanceToCutting() {
        return balanceToCutting;
    }

    public void setBalanceToCutting(long balanceToCutting) {
        this.balanceToCutting = balanceToCutting;
    }

    public long getCuttingReceived() {
        return cuttingReceived;
    }

    public void setCuttingReceived(long cuttingReceived) {
        this.cuttingReceived = cuttingReceived;
    }

    public long getCuttingOki() {
        return cuttingOki;
    }

    public void setCuttingOki(long cuttingOki) {
        this.cuttingOki = cuttingOki;
    }

    public long getCuttingReject() {
        return cuttingReject;
    }

    public void setCuttingReject(long cuttingReject) {
        this.cuttingReject = cuttingReject;
    }

    public long getStitchingIn() {
        return stitchingIn;
    }

    public void setStitchingIn(long stitchingIn) {
        this.stitchingIn = stitchingIn;
    }

    public long getStitchingWips() {
        return stitchingWips;
    }

    public void setStitchingWips(long stitchingWips) {
        this.stitchingWips = stitchingWips;
    }

    public long getStitchingOut() {
        return stitchingOut;
    }

    public void setStitchingOut(long stitchingOut) {
        this.stitchingOut = stitchingOut;
    }

    public long getFinishIn() {
        return finishIn;
    }

    public void setFinishIn(long finishIn) {
        this.finishIn = finishIn;
    }

    public long getFinishRej() {
        return finishRej;
    }

    public void setFinishRej(long finishRej) {
        this.finishRej = finishRej;
    }

    public long getFinishQaApproved() {
        return finishQaApproved;
    }

    public void setFinishQaApproved(long finishQaApproved) {
        this.finishQaApproved = finishQaApproved;
    }

    public long getStoreReceived() {
        return storeReceived;
    }

    public void setStoreReceived(long storeReceived) {
        this.storeReceived = storeReceived;
    }

    public long getStoreWaiting() {
        return storeWaiting;
    }

    public void setStoreWaiting(long storeWaiting) {
        this.storeWaiting = storeWaiting;
    }

    public long getPackagingIn() {
        return packagingIn;
    }

    public void setPackagingIn(long packagingIn) {
        this.packagingIn = packagingIn;
    }

    public long getPackagingOut() {
        return packagingOut;
    }

    public void setPackagingOut(long packagingOut) {
        this.packagingOut = packagingOut;
    }

    public long getPackagingStock() {
        return packagingStock;
    }

    public void setPackagingStock(long packagingStock) {
        this.packagingStock = packagingStock;
    }

    public long getShippedScan() {
        return shippedScan;
    }

    public void setShippedScan(long shippedScan) {
        this.shippedScan = shippedScan;
    }

    public long getShippedNet() {
        return shippedNet;
    }

    public void setShippedNet(long shippedNet) {
        this.shippedNet = shippedNet;
    }

    public boolean isPoStatus() {
        return poStatus;
    }

    public void setPoStatus(boolean poStatus) {
        this.poStatus = poStatus;
    }

    @Override
    public String toString() {
        return "POsDetails{" +
                "poId=" + poId +
                ", poNumber='" + poNumber + '\'' +
                ", articleTitle='" + articleTitle + '\'' +
                ", poQuantity=" + poQuantity +
                ", poRequiredQuantity=" + poRequiredQuantity +
                ", actualCutting=" + actualCutting +
                ", balanceToCutting=" + balanceToCutting +
                ", cuttingReceived=" + cuttingReceived +
                ", cuttingOki=" + cuttingOki +
                ", cuttingReject=" + cuttingReject +
                ", stitchingIn=" + stitchingIn +
                ", stitchingWips=" + stitchingWips +
                ", stitchingOut=" + stitchingOut +
                ", finishIn=" + finishIn +
                ", finishRej=" + finishRej +
                ", finishQaApproved=" + finishQaApproved +
                ", storeReceived=" + storeReceived +
                ", storeWaiting=" + storeWaiting +
                ", packagingIn=" + packagingIn +
                ", packagingOut=" + packagingOut +
                ", packagingStock=" + packagingStock +
                ", shippedScan=" + shippedScan +
                ", shippedNet=" + shippedNet +
                '}';
    }
}
